package cn.com.infosec.asn1.esf;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;

public class SigPolicyQualifiers extends ASN1Encodable {
   ASN1Sequence qualifiers;

   public static SigPolicyQualifiers getInstance(Object obj) {
      if (obj instanceof SigPolicyQualifiers) {
         return (SigPolicyQualifiers)obj;
      } else if (obj instanceof ASN1Sequence) {
         return new SigPolicyQualifiers((ASN1Sequence)obj);
      } else {
         throw new IllegalArgumentException("unknown object in 'SigPolicyQualifiers' factory: " + obj.getClass().getName() + ".");
      }
   }

   public SigPolicyQualifiers(ASN1Sequence seq) {
      this.qualifiers = seq;
   }

   public SigPolicyQualifiers(SigPolicyQualifierInfo[] qualifierInfos) {
      ASN1EncodableVector var2;
      var2 = new ASN1EncodableVector.<init>();

      for(int var3 = 0; var3 < qualifierInfos.length; ++var3) {
         var2.add(qualifierInfos[var3]);
      }

      DERSequence var4;
      var4 = new DERSequence.<init>(var2);
      this.qualifiers = var4;
   }

   public int size() {
      return this.qualifiers.size();
   }

   public SigPolicyQualifierInfo getStringAt(int i) {
      return SigPolicyQualifierInfo.getInstance(this.qualifiers.getObjectAt(i));
   }

   public DERObject toASN1Object() {
      return this.qualifiers;
   }
}
